Attribute VB_Name = "modNetwork"
Option Explicit ' all variables must be typed

'***
'*** API and Library
'***

Private Declare Function GetRTTAndHopCount Lib "iphlpapi.dll" (ByVal lDestIPAddr As Long, ByRef lHopCount As Long, ByVal lMaxHops As Long, ByRef lRTT As Long) As Long
Private Declare Function inet_addr Lib "wsock32.dll" (ByVal cp As String) As Long

Public Function SimplePing(sIPadr As String) As Boolean
    
'******************************************************************************
'*
'* Function Name: SimplePing
'* Date:          2017-06-18
'* Author:        VB6Boy
'* Purpose:       Return true/false if a remote host is responding to ICMP ping
'* Updates:
'*
'******************************************************************************

    Dim lIPadr      As Long ' IP address to ping
    Dim lHopsCount  As Long ' How many hops to get there
    Dim lRTT        As Long ' return time
    Dim lMaxHops    As Long ' how many hops to limit to
'    Dim lResult     As Long '
        
    Const SUCCESS = 1
        
    lMaxHops = 20
    lIPadr = inet_addr(sIPadr)
    SimplePing = (GetRTTAndHopCount(lIPadr, lHopsCount, lMaxHops, lRTT) = SUCCESS)
    
End Function

